%define __libtoolize    /bin/true


Summary:	Disposable Soft Synth Interface examples and utilities
Summary(de):	Disposable Soft Synth Interface Beispiele & Werkzeuge
Name:		dssi
Version:	1.1.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Sound
URL:		http://dssi.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/dssi/%{name}-%{version}.tar.xz
Source1:	dssi.sh.bz2
Source2:	dssi.csh.bz2
BuildRequires:	ladspa-devel
BuildRequires:	liblo-devel
BuildRequires:	libalsa-devel
BuildRequires:	jackit-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	qt4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DSSI (pronounced "dizzy") is an API for audio plugins, with particular
application for software synthesis plugins with native user
interfaces. DSSI is an open specification developed for use in Linux
audio applications, although portable to other platforms. It may be
thought of as LADSPA-for-instruments, or something comparable to VSTi.

This package contains examples and utilities.

#german
%description -l de
DSSI (gesprochen dizzy) ist ein API für Audio Erweiterunen mit besonderer 
Anwendbarkeit für Software-Erstellung - Plugins mit nativen User-Interfaces. 
DSSI hat eine offene Spezifikation, welche für den Gebrauch in 
Linux-Applikationen entwickelt wurde, obwohl es auf andere Plattformen 
portiert werden kann. Man kann sich das wie ein LADSPA-for-instruments 
vorstellen oder als etwas mit VSTI Vergleichbares. 

Das Paket enthält Beispiele und Werkzeuge. 

%package devel
Summary:	Disposable Soft Synth Interface API
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	ladspa-devel
Requires:	libalsa-devel

%description devel
DSSI (pronounced "dizzy") is an API for audio plugins, with particular
application for software synthesis plugins with native user
interfaces. DSSI is an open specification developed for use in Linux
audio applications, although portable to other platforms. It may be
thought of as LADSPA-for-instruments, or something comparable to VSTi.

DSSI consists of a C language API for use by plugins and hosts, based
on the LADSPA API, and an OSC (Open Sound Control) API for use in user
interface to host communications. The DSSI specification consists of
an RFC which describes the background for the proposal and defines the
OSC part of the specification, and a documented header file which
defines the C API.
#german
%description devel -l de
DSSI (sprich dizzy) ist eine API für Audio-Plugins unter besonderer 
Berücksichtigung von Software Synthese Plugins mit nativen User 
Interfaces. DSSI ist eine offene Spezifikation für den Gebrauch in 
Linux Audio Anwendungen, obwohl es auch auf andere Plattformen 
portiert werden kann. Man kann es sich vorstellen als eine Art 
LASPA-für-Instrumente, oder als etwas mit VSTI Vergleichbares. 

DSSI besteht aus einem in C geschriebenen API zum Gebrauch durch 
Plugins und Hosts, basierend auf der LADSPA API, und einer OSC 
(Open Sound Control) API. welche im User Interface für die host 
communications gebraucht wird. Die DSSI Spezifikation besteht 
aus einem RFC, das den Hintergrund abgibt für das Angebot und 
welches den OSC Teil der Spezifikation definiert, sowie aus einem 
dokumentierten Header, der die C API definiert. 

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/profile.d/dssi.sh
bzcat %{SOURCE2} > %{buildroot}%{_sysconfdir}/profile.d/dssi.csh
perl -pi -e "s!__LIBDIR__!%{_libdir}!" %{buildroot}%{_sysconfdir}/profile.d/dssi*sh

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/jack-dssi-host
%{_bindir}/dssi_analyse_plugin
%{_bindir}/dssi_list_plugins
%{_bindir}/dssi_osc_send
%{_bindir}/dssi_osc_update
%{_bindir}/karplong
%{_bindir}/less_trivial_synth
%{_bindir}/trivial_sampler
%{_bindir}/trivial_synth
%{_libdir}/dssi/*.so
%{_libdir}/dssi/*.la
%{_libdir}/dssi/less_trivial_synth/LTS_*
%{_libdir}/dssi/trivial_sampler/trivial_sampler_*
%{_mandir}/man1/dssi_osc_send.1*
%{_mandir}/man1/dssi_osc_update.1*
%{_mandir}/man1/jack-dssi-host.1*
%{_mandir}/man1/dssi_analyse_plugin.1*
%{_mandir}/man1/dssi_list_plugins.1*
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/profile.d/dssi*sh

%files devel
%defattr(-,root,root)
%doc doc/TODO doc/*.txt
%{_includedir}/dssi.h
%{_libdir}/pkgconfig/dssi.pc


%changelog
* Thu May 17 2012 Neal <nealbrks0 at gmail dot com> 1.1.1-1pclos2012
- process

* Thu May 17 2012 leiche <meisssw01 at gmail.com> 1.1.1-1pclos2012
- 1.1.1
- add german description

* Mon Sep 20 2010 johnnyblack <johnnblack @ inbox.com> 1.1.0-1pclos2010
- 1.1.0

